// pages/login/login.js
const api = require('../../config.js');
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    url: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let url = options.url || ''
    this.setData({
      url
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
  userInfoHandler(e) {
    let self = this
    if (e.detail.errMsg == "getUserInfo:ok") {
      app.globalData.userInfo = e.detail.userInfo;
      app.globalData.userInfo.nickname = e.detail.userInfo.nickName;
      let userInfo = Object.assign({}, app.globalData.userId, app.globalData.userInfo);
      wx.request({
        url: api.host,
        method: 'GET',
        data: {
          user_info: userInfo,
          act: "login",
          op: "wxauthen",
          // op: "wxauthor",
          client_type: "mini"
        },
        success: function (res) {
          console.log('res:', res)
          console.log(getCurrentPages());
          wx.setStorageSync('session_id', res.data.datas.HPHPSESSID);
          if (res.statusCode == 200) {
            app.globalData.backLogin = true;
            let len = getCurrentPages().length
            let prev = getCurrentPages()[len - 2]
            if (prev['route'].indexOf('/pandaBonus/pandaBonus') != -1) {
              let { type_sn } = prev.options
              console.log(type_sn);
              wx.redirectTo({
                url: `/pages/pandaBonus/pandaBonus?type_sn=${type_sn}`
              })
              return
            }
            wx.navigateBack();
          }
          else {
            wx.showToast({
              icon: 'none',
              title: '登陆失败',
              duration: 2000
            })
          }
        }
      })
    }
  }
})